#include <sru.h>
#include <def21369.h>

// This function will setup the SRU Registers
void InitSRU()
{
	// Enable pull-up resistors on unused DAI pins
	* (volatile int *)DAI_PIN_PULLUP = 0xffffe;

	//Generating Code for connecting : PCG_CLKA to SPORT0_CLK
	SRU (PCG_CLKA_O, SPORT0_CLK_I); 

	//Generating Code for connecting : PCG_CLKA to DIT_CLK
	SRU (PCG_CLKA_O, DIT_CLK_I); 

	//Generating Code for connecting : PCG_CLKB to DIT_HFCLK
	SRU (PCG_CLKB_O, DIT_HFCLK_I); 

	//Generating Code for connecting : PCG_FSA to SPORT0_FS
	SRU (PCG_FSA_O, SPORT0_FS_I); 

	//Generating Code for connecting : PCG_FSA to DIT_FS
	SRU (PCG_FSA_O, DIT_FS_I); 

	//Generating Code for connecting : SPORT0_DA to DIT_DAT
	SRU (SPORT0_DA_O, DIT_DAT_I); 

	//Generating Code for connecting : DIT to DAI_PIN1
	SRU (HIGH, PBEN01_I); 
	SRU (DIT_O, DAI_PB01_I);
}
