#include <sru.h>
#include <def21364.h>

// This function will setup the SRU Registers
void SPDIF_RxToSport1Sru()
{
	// Enable pull-up resistors on unused DAI pins
	* (volatile int *)DAI_PIN_PULLUP = 0xfffff;

	//Generating Code for connecting : DIR_CLK to SPORT1_CLK
	SRU (DIR_CLK_O, SPORT1_CLK_I); 

	//Generating Code for connecting : DIR_DAT to SPORT1_DA
	SRU (DIR_DAT_O, SPORT1_DA_I); 

	//Generating Code for connecting : DIR_FS to SPORT1_FS
	SRU (DIR_FS_O, SPORT1_FS_I); 
	
	//Generating Code for connecting : DIT to DIR
	SRU (DIT_O, DIR_I); 
	
	//Generating Code for connecting : DIR_DAT to DAI_PIN15
	SRU (HIGH, PBEN15_I); 
	SRU (DIR_DAT_O, DAI_PB15_I); 


}
