#include <sru.h>
#include <def21369.h>

// This function will setup the SRU Registers
void PCG_A_B_OnDAI()
{
	// Enable pull-up resistors on unused DAI pins
	* (volatile int *)DAI_PIN_PULLUP = 0xffff1;

	//Generating Code for connecting : SPORT0_CLK to DAI_PIN2
	SRU (HIGH, PBEN02_I); 
	SRU (PCG_CLKA_O, DAI_PB02_I); 
	//SRU (DIR_CLK_O, DAI_PB02_I);

	//Generating Code for connecting : SPORT0_FS to DAI_PIN3
	SRU (HIGH, PBEN03_I); 
	SRU (PCG_FSA_O, DAI_PB03_I); 
	//SRU (DIR_FS_O, DAI_PB03_I); 

	//Generating Code for connecting : SPORT0_DA to DAI_PIN4
	SRU (HIGH, PBEN04_I); 
	SRU (SPORT0_DA_O, DAI_PB04_I); 

	SRU (HIGH, PBEN16_I); 
	SRU (PCG_CLKB_O, DAI_PB16_I);
}
